Bug 182754 - [maintainer-update] games/urbanterror-data
Summary: [maintainer-update] games/urbanterror-data
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Mark Felder
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-10-06 17:40 UTC by kamikaze
Modified: 2014-02-24 07:05 UTC (History)
0 users

See Also:


Attachments
file.diff (483 bytes, patch)
2013-10-06 17:40 UTC, kamikaze
no flags Details | Diff
ut.txt (1.19 KB, text/plain)
2014-02-17 14:38 UTC, Mark Felder
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description kamikaze 2013-10-06 17:40:00 UTC
pkg-fallout is annoying me endlessly because it doesn't manage to build the games/iourbanterror* stuff.

This patch shuts it up by allowing packaging the urbanterror-data dependency.

Fix: Patch attached with submission follows:
Comment 1 Mark Felder freebsd_committer 2013-11-03 00:24:10 UTC
Responsible Changed
From-To: freebsd-ports-bugs->feld

I'll take it.
Comment 2 dfilter service freebsd_committer 2014-02-17 14:33:22 UTC
Author: feld
Date: Mon Feb 17 14:33:15 2014
New Revision: 344756
URL: http://svnweb.freebsd.org/changeset/ports/344756
QAT: https://qat.redports.org/buildarchive/r344756/

Log:
  NO_PACKAGE is not necessary; we can support packages this large
  STAGE support
  
  PR:		ports/186822

Modified:
  head/games/urbanterror-data/Makefile

Modified: head/games/urbanterror-data/Makefile
==============================================================================
--- head/games/urbanterror-data/Makefile	Mon Feb 17 14:17:54 2014	(r344755)
+++ head/games/urbanterror-data/Makefile	Mon Feb 17 14:33:15 2014	(r344756)
@@ -16,7 +16,6 @@ MAINTAINER=	kamikaze@bsdforen.de
 COMMENT=	Standalone realism based mod originally for Quake III Arena
 
 NO_BUILD=	yes
-NO_PACKAGE=	Package will be 1GB; set FORCE_PACKAGE if you really want it
 
 DATADIR=	${PREFIX}/share/quake3
 DOCSDIR=	${PREFIX}/share/doc/${PKGNAMEPREFIX}${PORTNAME}
@@ -26,22 +25,20 @@ URT_REV=	${PORTVERSION:C/([0-9]+\.[0-9]+
 
 PLIST_SUB+=	VER=${URT_VER}
 
-NO_STAGE=	yes
-
 OPTIONS_DEFINE=	DOCS 
 
 .include <bsd.port.options.mk>
 
 do-install:
-	${MKDIR} ${DATADIR}/q3ut4
+	${MKDIR} ${STAGEDIR}${DATADIR}/q3ut4
 	${EXTRACT_CMD} ${EXTRACT_BEFORE_ARGS} ${DISTDIR}/${DISTFILES} \
-		${EXTRACT_AFTER_ARGS} -C ${DATADIR} --strip-components 1 \
+		${EXTRACT_AFTER_ARGS} -C ${STAGEDIR}${DATADIR} --strip-components 1 \
 		UrbanTerror${URT_VER}/q3ut4
 .if ${PORT_OPTIONS:MDOCS}
-	${MKDIR} ${DOCSDIR}
-	${MV} ${DATADIR}/q3ut4/readme${URT_VER}.txt ${DOCSDIR}
+	${MKDIR} ${STAGEDIR}${DOCSDIR}
+	${MV} ${STAGEDIR}${DATADIR}/q3ut4/readme${URT_VER}.txt ${STAGEDIR}${DOCSDIR}
 .else
-	${RM} ${DATADIR}/q3ut4/readme${URT_VER}.txt
+	${RM} ${STAGEDIR}${DATADIR}/q3ut4/readme${URT_VER}.txt
 .endif
 
 .include <bsd.port.mk>
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Mark Felder freebsd_committer 2014-02-17 14:38:21 UTC
commit referenced wrong PR.

Attached diff is what I applied.
Comment 4 Mark Felder freebsd_committer 2014-02-17 14:40:48 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!